Subject: Re: bug#62352: Very slow scroll-down-line with a lot of text properties

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Mar 2023 14:58:03 +0300

> Date: Tue, 21 Mar 2023 21:58:05 +0000
> From: Gregory Heytings <[email-masked]>
> cc: "Herman, Geza" <[email-masked]>, [email-masked]
> 
> > However, are you saying that this is slower in Emacs 29 than it was in 
> > Emacs 28?  If so, bisection will be appreciated.
> 
> FTR, I see the same behavior in Emacs 26, 27, 28 and 29 with that recipe.

That figures: the relevant code didn't see any significant changes in
the recent years.

I also think the impression that C-n/C-p (with scroll-conservatively)
are free of this problem is inaccurate.  They are a bit faster,
indeed, but in my unoptimized build I see the scroll taking almost the
same time in both cases, close to 1 sec.  I think OP's impression is
based on where each of these crosses the threshold of Emacs being able
to keep up with the repeated keystrokes, and that depends on both the
auto-repeat rate and the CPU power, so it is different on different
systems.  E.g., in an optimized build I see no stuttering with
scroll-down-line, either.

So I think there's no bug here we need to look into, and I'm therefore
closing this bug report.